* E Posta Adresiniz:
* Kodu Girin:

İleti Yazar
22.06.2011 06:03
64753    
kevin8686

[2] Girişimci

Online Durumu

2 ileti
projeci
bursa

Prohibit arkadaşım çok teşekkür ederim ilgin için ama burada seçtiğin layerdaki nesne adetini gösteriyor. benim asıl istediğim tıkladığım layerdaki tüm nesneleri seçmesi ve bu seçili neslerde değişiklik yapabilmem.

22.06.2011 06:11
64754    
map

[1] Yeni üye

Online Durumu

10 ileti
İNŞAAT TEKNİKERİ
DÜZCE

Tools >>> quick select>>>>> menüsünü kullanın

22.06.2011 13:36
64758    
ProhibiT

[80] Yetkili

Online Durumu

1469 ileti
İnşaat Mühendisi
Ankara

Sellayer fonksiyonunu uyguladıktan sonra, seçlien objeler previous selection set'e alınır. bundan sonra kullanacağınız herhangi bir komutta, obje seçmeniz istendiğinde p girererek kullanabilirsiniz.

Where there is a will, there is a way... Beğenmek için anlamak lazım...

15.07.2011 13:57
65163    
ss78

[2] Girişimci

Online Durumu

1 ileti
Elk.Teknkr.
ANKARA

Öncelikle merhaba,yeni üyeyim.
daha önceki sayfalarda sorum geçtiyse de özür dilerim,tümünü okuyamadım.

"çizgi uzunluğunu çizginin üstüne yazan lisp" uygulamasını kullanıyorum,hazırlayanlardan allah razı olsun.

ancak bu lisp de aklıma takılan şey, rakamların küsürat kısmının nasıl ayarlanacağı.Bunu ben sonradan "yuvarla" lisp ini kullanarak yapıyorum fakat zaman alıyor.

çizgi üstüne yazılan rakamın tek ondalıklı olmasını nasıl ayarlayabiliriz .? (örnek: 102,3)

yazdıracağımız yazının font ve renk bilgilerini nasıl ayarlarız. ?

yardımlarınız için şimdiden teşekkür ederim.

19.07.2011 15:23
65192    
MSucullu

[2] Girişimci

Online Durumu

8 ileti
İnşaat Mühendisi
Denizli

Çizgi uzunluğunu üzerine yazan lisp baya güzelmiş. bana lazım diil gerçi ama belki lazım olur diye kaydettim. tesekkurler.
ss78 için söylüyorum lisp te küçük bi değişiklik yaparak yuvarlatma yapılabiliyor.
değiştirilecek satır aşağıda
(command "text" "j" "bc" uy_yaz uy_yaz_yuk (angtos uy_sec_tek_aci) (rtos uy_sec_tek_mes))
yerine
(command "text" "j" "bc" uy_yaz uy_yaz_yuk (angtos uy_sec_tek_aci) (rtos uy_sec_tek_mes 2 1))
olarak değiştirilecek. tek ondalıklı yazıyo o zaman.

Bu site çok faydalı bir site. Tüm arkadaşlarıma tavsiye ediyorum. Böyle bir sitenin olması iş ortamındaki yardımlaşmanın en güzel yolu. site sahibine ne kadar teşekkür etsek azdır.alt yapı inş. konularında yardım isteyen arkadaşlara yardımcı olabilirim.

30.07.2011 13:00
65253    
pulp fiction

[5] Uzman

Online Durumu

62 ileti
teknirer
istanbul

Mesela; 523 cm uzunluğundaki bir çizgiyi stretch yaparak direkt 1200cm yazarak stretchliye biliyor muyuz? toplamda 1200cm olacak...

1200-523=677 ile uğraşmadan...

ln enter t enter'dan oluyor bu ama bana stretch komutunda da çok lazım.Işimi çok kolaylaştıracak...


mümkünse.... teşekkürler...

30.07.2011 15:07
65254    
CAN123

[8] Kıdemli Uzman

Online Durumu

119 ileti
Teknik Ressam
ANKARA

Merhaba,

örnek lispler arasında seçilen textleri referans objeye göre çeviren lisp vardı. bu lispe text ile referans obje arasına mesafe ekletmek mümkünmü? yine texti seçilen obje üzerinde belirtilen noktaya taşıyacak eklemeler yapmak mümkün mü?

teşekkürler....

01.08.2011 10:20
65269    
ProhibiT

[80] Yetkili

Online Durumu

1469 ileti
İnşaat Mühendisi
Ankara

Pulp fiction arkadaşımızın sorusuna cevaptır.
Kod:

(defun c:Lstr (/ Ln Lne Pnt Len Ang)
  (setvar "cmdecho" 0) (command "_.undo" "group")
  (while (not (setq Ln (entsel "\n Select Line: "))))
  (redraw (car Ln) 3)
  (setq Lne (entget (car Ln))
        Pnt (cadr Ln)
        Len (getreal "\n Input Line Length: ")
        Ang (angle (cdr (assoc 10 Lne)) (cdr (assoc 11 Lne))))
  (if (< (distance Pnt (cdr (assoc 10 Lne)))
         (distance Pnt (cdr (assoc 11 Lne))))
    (setq Lne (subst (cons 10 (polar (cdr (assoc 11 Lne)) (+ Ang pi) Len))
                     (assoc 10 Lne) Lne))
    (setq Lne (subst (cons 11 (polar (cdr (assoc 10 Lne)) Ang Len))
                     (assoc 11 Lne) Lne)))
  (entmod Lne) (entupd (cdr (assoc -1 Lne)))
  (command "_.undo" "e") (prin1)
)
Line objesini seçerken, hangi uca yakın seçerseniz diğer ucu sabit tutup, o ucu stretch yapacaktır. mevcut uzunluktan daha küçük bir değer de girilebilir.

sanat değeri olan bir konu değil. bunun için, sürekli olsa, başka objeleri de stretch etse, unutmasa gibi isteklere karşılık vermeyeceğimin bilinmesini isterim.

kolay gelsin.

Where there is a will, there is a way... Beğenmek için anlamak lazım...

07.09.2011 20:08
65688    
deli.dahi

[1] Yeni üye

Online Durumu

4 ileti
Elektrik Mühendisi
İstanbul

Merhabalar, daha önce bu siteden blockları sayan bir iki lisp almıştım. keşif sırasında epey işime yaradılar. ama acaba projedeki layerları da blocklar gibi bir notdefterine sıralayan ve karşılarına toplam uzunluklarını yazan bir lisp mevcut mu? metraj çıkarmada oldukça yardımcı olur. teşekkürler.

08.09.2011 15:47
65700    
ProhibiT

[80] Yetkili

Online Durumu

1469 ileti
İnşaat Mühendisi
Ankara

Daha önce bu başlık altında paylaştığım bir fonksiyon, istek üzerine yazı yüksekliği ve ondalık basamak sayısını kullanıcının belirleyebilmesi için gerekli değişiklikler yapıldı, yeniden düzenlendi.
Kod:

(defun c:koor (/ tsty odz espas dp txh mirtxo nokta n1 yz1 yz2 ti1 ti2 t1 t2
                 p1x p2x n2 n3 n4 aci)
  (command "_.undo" "group") (setvar "cmdecho" 0)
  (setq tsty  (getvar "TEXTSTYLE") odz (getvar "dimzin") espas 0.7071)
  (setvar "dimzin" 0) (if (not odp) (setq odp 2))
  (setq mirtxo (getvar "mirrtext")) (setvar "mirrtext" 0)
  (if (setq dp (getint
                 (strcat "\nOndalık Basamak Sayısı <" (itoa odp) ">: ")))
    (setq odp dp) (setq dp odp))
  (if (not oth) (setq oth (getvar "TEXTSIZE")))
  (if (setq txh (getreal
              (strcat "\n      Yazı Yüksekliği <" (rtos oth 2 dp) ">: ")))
    (setq oth txh) (setq txh oth))
  (if (tblsearch "LAYER" "Koordinat")
    (command "LAYER" "c" "1" "Koordinat" "")
    (command "LAYER" "n" "Koordinat" "c" "1" "Koordinat" ""))
  (while (setq nokta (getpoint "\Koordinatı Yazılacak Noktayı seciniz : "))
    (setq n1  (getpoint nokta "\nKoordinatın Yazılacağı Yeri seciniz : ")
          yz1 (strcat "x:" (rtos (car nokta) 2 dp))
          yz2 (strcat "y:" (rtos (cadr nokta) 2 dp))
          ti1 (list (+ (car n1) (* espas txh)) (+ (cadr n1) (* espas txh)) 0.0)
          ti2 (list (car ti1) (+ (cadr ti1) txh (* espas txh)) 0.0)
          aci (angle nokta n1))
    (entmake (list (cons 0 "TEXT") (cons 8 "Koordinat") (cons 40 txh)
                   (cons 1 yz1) (cons 50 0) (cons 10 ti2) (cons 7 tsty)))
    (setq t1 (entget (entlast)))
    (entmake (list (cons 0 "TEXT") (cons 8 "Koordinat") (cons 40 txh)
                   (cons 1 yz2) (cons 50 0) (cons 10 ti1) (cons 7 tsty)))
    (setq t2  (entget (entlast)) p1x (caar (textbox t2)))
    (if (> (caadr (textbox t1)) (caadr (textbox t2)))
      (setq p2x (caadr (textbox t1))) (setq p2x (caadr (textbox t2))))
    (setq lx (+ (- p2x p1x) (* 2 espas txh)) ly (* (+ 2.0 (* 3.0 espas)) txh))
    (cond ((and (>= aci 0) (<= aci (/ pi 2.0)))
           (setq n2 (polar n1 0 lx) n3 (polar n2 (/ pi 2.0) ly)
                 n4 (polar n3 pi lx)))
          ((and (> aci (/ pi 2.0)) (<= aci pi))
           (setq t1 (subst (cons 10 (polar (cdr (assoc 10 t1)) pi lx))
                           (assoc 10 t1) t1)
                 t2 (subst (cons 10 (polar (cdr (assoc 10 t2)) pi lx))
                           (assoc 10 t2) t2)) (entmod t1) (entmod t2)
           (entupd (cdr (assoc -1 t1))) (entupd (cdr (assoc -1 t2)))
           (setq n2 (polar n1 pi lx) n3 (polar n2 (/ pi 2.0) ly)
                 n4 (polar n3 0 lx)))
          ((and (> aci pi) (<= aci (* 1.50 pi)))
           (setq t1 (subst (cons 10 (polar (cdr (assoc 10 t1)) pi lx))
                           (assoc 10 t1) t1)
                 t1 (subst (cons 10 (polar (cdr (assoc 10 t1)) (* pi 1.50) ly))
                           (assoc 10 t1) t1)
                 t2 (subst (cons 10 (polar (cdr (assoc 10 t2)) pi lx))
                           (assoc 10 t2) t2)
                 t2 (subst (cons 10 (polar (cdr (assoc 10 t2)) (* pi 1.50) ly))
                           (assoc 10 t2) t2)) (entmod t1) (entmod t2)
           (entupd (cdr (assoc -1 t1))) (entupd (cdr (assoc -1 t2)))
           (setq n2 (polar n1 pi lx) n3 (polar n2 (* pi 1.50) ly)
                 n4 (polar n3 0 lx)))
          ((> aci (* pi 1.50))
           (setq t1 (subst (cons 10 (polar (cdr (assoc 10 t1)) (* pi 1.50) ly))
                           (assoc 10 t1) t1)
                 t2 (subst (cons 10 (polar (cdr (assoc 10 t2)) (* pi 1.50) ly))
                           (assoc 10 t2) t2)) (entmod t1) (entmod t2)
           (entupd (cdr (assoc -1 t1))) (entupd (cdr (assoc -1 t2)))
           (setq n2 (polar n1 0 lx) n3 (polar n2 (* pi 1.50) ly)
                 n4 (polar n3 pi lx))))
    (entmake (list (cons 0 "LINE") (cons 100 "AcDbEntity") (cons 8 "Koordinat")
                   (cons 100 "AcDbLine") (cons 10 nokta) (cons 11 n1)))
    (entmake (list (cons 0 "LWPOLYLINE") (cons 100 "AcDbEntity") (cons 67 0)
                   (cons 8 "Koordinat") (cons 100 "AcDbPolyline") (cons 90 4)
                   (cons 70 1) (cons 10 n1) (cons 10 n2) (cons 10 n3)
                   (cons 10 n4))))
  (setvar "mirrtext" mirtxo) (setvar "dimzin" odz) (command "_.undo" "e")
  (prin1)
)

ProhibiT (09.09.2011 11:42 GMT)

Where there is a will, there is a way... Beğenmek için anlamak lazım...

16.09.2011 06:49
65792    
byengineer01

[1] Yeni üye

Online Durumu

2 ileti
Makine mühendisi
İst

Merhaba arkadaşlar,

ben mekanik tesisat proje danışmanlık firmasında proje mühendisliği yapıyorum benim istediğim lisp block isimlerine tıklandığı zaman bu, tıkladığım block isim üzerinden tanıyıp ona göre bir değer atayacak mesala; bulaşık makinesine tıklandığı zaman onun sarfiyat birimi olan 4 sb değerini block altına atayacak.
aşağıda mesala verilen lisp çizgi üzerine bm kodunu girdikten sonra atıyo ben bunun kod girmeden block üzerine bu bm kodunu block isiminden tanıyıp o değeri atamısnı istiyorum . Yardım ederseniz sevinirim
Çalıştığım Lisp Örneği :

(defun c:SB ()
(setq va (getstring "\n vitrifiye kodunu gir:"))
(while (/= va nil)
(cond
((= va "H")
(setq SB (strcat "8" "SB"))
)
((= va "D")
(setq SB (strcat "7" "SB"))
)
((= va "L")
(setq SB (strcat "2" "SB"))
)
((= va "E")
(setq SB (strcat "4" "SB"))
)
((= va "P")
(setq SB (strcat "1" "SB"))
)
((= va "CM")
(setq SB (strcat "4" "SB"))
)
((= va "BM")
(setq SB (strcat "4" "SB"))
)
)
(setq yp1 (getpoint "\n yazma noktasını seç:"))
(command "text" yp1 "" SB "")
(setq va (getstring "\n vitrifiye kodunu gir:"))
)
)
Ayrıca bir sorunum daha var Text yazı stilini ve yuksekliğni ayarlama dongusu koyarsanız sevinirim birde bu lisp i çalıstırmadım ....

byengineer01 (16.09.2011 15:46 GMT)

24.09.2011 23:12
65907    
miyatu

[8] Kıdemli Uzman

Online Durumu

142 ileti
Tekniker
*ISTANBUL*

Alıntı
byengineer01 :
Merhaba arkadaşlar,

ben mekanik tesisat proje danışmanlık firmasında proje mühendisliği yapıyorum benim istediğim lisp block isimlerine tıklandığı zaman bu, tıkladığım block isim üzerinden tanıyıp ona göre bir değer atayacak mesala; bulaşık makinesine tıklandığı zaman onun sarfiyat birimi olan 4 sb değerini block altına atayacak.
aşağıda mesala verilen lisp çizgi üzerine bm kodunu girdikten sonra atıyo ben bunun kod girmeden block üzerine bu bm kodunu block isiminden tanıyıp o değeri atamısnı istiyorum . yardım ederseniz sevinirim
çalıştığım lisp örneği :

.
.
.
ayrıca bir sorunum daha var text yazı stilini ve yuksekliğni ayarlama dongusu koyarsanız sevinirim birde bu lisp i çalıstırmadım ....



block seçerek yuk birimlerini yazdırmayı bende düşünmüştüm... fakat sürekli değişen blocklarla uğraşmaya üşendiğim için kodlar koymaya karar verdim... bu konu ile ilgili birşeyler yapmayı düşünmüyorum... lisp güncellendi ve text ile ilgili sorunu duzeltildi... aşagıdaki linkten lispin güncel halini bulabilirsiniz...



Linkleri görebilmek için ÜYE olmalısınız.

Kendini gelistirmeyen insanlar, bildiklerini paylasmaya korkarlar...

02.10.2011 07:43
65992    
ulkersah

[2] Girişimci

Online Durumu

17 ileti
inş. müh
kayseri

Autocad'de 3 boyutlu (koordinatlı) pointler arası mesafe

arkadaslar x,y,z koordinatına sahip pointl ojjeleri arası mesafeyi, yada bu point objeleri arasına çizilmiş line objesinin uzunluğunu (3 boyut uzunluğunu) dimension-aligned benzeri olarak 2 boyutlu çizim üzerine yazdıran bir lisp istiyorum. aslında sanırım oldukça kolay bir lisp, koordinatlar arası mesafeler bulunup karelerinin toplamlarının karekökü alınıp, iki point objesi arasına yazdırılacak, ancak lisp yazmayı-kodları bilmediğim için şun an yazamıyorum, öğrenmekte istiyorum ama yaz dönemi malum pek zaman olmuyor.
pratik olarak yazabilecek bir arkadas varsa bana cok yardımcı olmuş olur.
şimdiden teşekkürlerr....

02.10.2011 13:29
65993    
ProhibiT

[80] Yetkili

Online Durumu

1469 ileti
İnşaat Mühendisi
Ankara

1³=1 o da Yüksek Matematiğe girer, böyle bir konuda ihtiyacımız yok.


Linkleri görebilmek için ÜYE olmalısınız.

linkinde paylaşılan "db" isimli autolisp fonksiyon işinize yarayabilir. bir göz atmanızı tavsiye derim. söz konusu autolisp fonksiyon kullanıcı seçmeye devam ettikçe, noktalar arası mesafeyi (3 boyutta) hesaplayıp, noktaların ortasına okunma yönünde yazar. son noktayı da seçtiğinizde isterseniz toplam uzunlukta yazılır. Toplam uzunluğu yazdırmak istemiyorsanız, fonksiyonu cancel ile sonlandırabilisiniz.

kolay gelsin...

ProhibiT (02.10.2011 13:39 GMT)

Where there is a will, there is a way... Beğenmek için anlamak lazım...

03.10.2011 06:18
66001    
ehya

[90] Yönetici

Online Durumu

3278 ileti
Teknik Ressam
Ankara

Cevaba bak ya.. "her gün siteye girmeme gerek kalmasın".
zahmet buyurursunuz beyefendi. bizler sizler için hazır ve nazır bekleriz.

03.10.2011 08:33
66003    
ehya

[90] Yönetici

Online Durumu

3278 ileti
Teknik Ressam
Ankara

Neden alındığım konusuna gelince, bir önceki mesajımda belirttiğim durumdan kaynaklanıyor. bizler bu sitenin sahibi değiliz. sizden farkımız sadece üyelik kadememiz sizinkinden biraz üstün. o da konuları düzenleme yada silme v.S. gibi yetkiler. yani farkımız yok.
yardım konusunda kimse bu sitede hazır beklemiyor. şahin hocam yardım ederim deyip de cevap veremediyse mutlaka işi vardır. burada makul ve oluru olan istekler asla geri çevrilmiyor. madem yıllardır üyesiniz bunu iyi biliyor olmalısınız...

03.10.2011 08:53
66004    
bonamir

[2] Girişimci

Online Durumu

6 ileti
Tasarım-Hidrolik Pnömatik
Kocaeli

Haklısınız , teşekkürler açıklamanız için

kolay gelsin..

04.10.2011 15:10
66012    
ulkersah

[2] Girişimci

Online Durumu

17 ileti
inş. müh
kayseri

Aslında yazan arkadasta size hak vermis, ama yinede yazmadan edemedim,
siteden o kadar cok faydalanıyorum ki anlatamam, bir çok arkadas paylasımda bulunuyor ama özellikle, prohibit ve ehya nerdeyse istegimize birebir tam karşılık veriyor ki bu nolmalde imkansız bisey, kişiye özel lispler yazılamaz,
birazda bizim üzerimize biseyler düşüyor farkındayım,
en son siteden türkçe autolısp kitabını indirdim, bu kış inşallah elimden geldiği kadar bu konu üzerinde çalısıcam,
sitedeki paylaşım o kadar güzel ki bu kendimi kötü hissetmeme sebep oluyo ve katkıda bulunmak istiyorum,,
arkadaslar ellerinize saglık,
tekrar tekrar tesekkurler....

05.10.2011 09:18
66020    
umittaser

[3] Kıdemli Girişimci

Online Durumu

37 ileti
inşaat teknikeri
ankara

Öncelikle merhabalar ve kolay gelsin. istediğim multiline içine text yerleştirebilecek bir lisp. örneğin betonarme kiriş oluşturmak gibi. kalınlık soracak, başa bir yazı ve sona bir yazı atacak gibi. baya bir uğraşırsam bunu sanırım yaparım ancak su an için buna vaktim yok(hem yine da başınızı ağrıtırım :d) . şimdiden teşekkür ediyorum.

12.10.2011 00:40
66094    
borakemal

[1] Yeni üye

Online Durumu

7 ileti
harita mühendisi
istanbul

Sayın prohibit hocam son eklemiş olduğunuz koor lisp'i ilaç gibi geldi elinize kolunuza sağlık.
ben birde bunun teklisini verebilirmisiniz diye merak etmiştim bana sadece z kotlu bir tanesi lazım. kıt bilgimle biraz uğraştım ama yapamadım. yapsanızda yapmasanızda simdiden çok teşekkürler ederim. saygılarımla..

Önceki Sayfa [1] [2] [3] [4] [5] [6] [7] [8] [9] [10] [15] > 17 < [20] [25] [30] [35] [40] [45] [50] [55] [60] [65] [70] [75] [80] [85] [90] Sonraki Sayfa
Copyright © 2004-2019 | Tüm Hakları Saklıdır | 1977 | Site haritası | İstatistikler | Hakkımızda | Kadromuz | Gizlilik | Reklam | İletişim